Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.ant
Class AopC

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.jboss.aop.ant.AopC

All Implemented Interfaces:
  org.apache.tools.ant.types.selectors.SelectorContainer

public class AopC
extends org.apache.tools.ant.taskdefs.MatchingTask

Ant task. Copied a bunch of shit from javac task

Version:
  $Revision: 1.15 $
Author:
  Bill Burke

Field Summary
`protected boolean` | `failOnError` flag to control action on execution trouble

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AopC()`

Method Summary
`void` | `addSysproperty(org.apache.tools.ant.types.Environment.Variable property)`
`org.apache.tools.ant.types.Path` | `createAopclasspath()`
`org.apache.tools.ant.types.Path` | `createAoppath()`
`org.apache.tools.ant.types.Path` | `createClasspath()` Adds a path to the classpath.
`org.apache.tools.ant.types.Path` | `createCompilerclasspath()` Support nested compiler classpath, used to locate compiler adapter
`org.apache.tools.ant.types.Path` | `createSrc()` Adds a path for source compilation.
`void` | `execute()`
`org.apache.tools.ant.types.Path` | `getClasspath()`
`org.apache.tools.ant.types.Path` | `getCompilerclasspath()` get the classpath used to find the compiler adapter
`boolean` | `getFailonerror()` Gets the failonerror flag.
`String` | `getInstrumentor()`
`String` | `getMaxmemory()`
`int` | `getMaxSrc()`
`boolean` | `getOptimized()`
`boolean` | `getReport()`
`boolean` | `getSupress()`
`boolean` | `getVerbose()`
`protected void` | `logAndAddFilesToCompile(org.apache.tools.ant.types.CommandlineJava cmd)`
`void` | `setClasspath(org.apache.tools.ant.types.Path cp)` Set the classpath to be used for this compilation.
`void` | `setClasspathRef(org.apache.tools.ant.types.Reference r)` Adds a reference to a classpath defined elsewhere
`void` | `setCompilerclasspath(org.apache.tools.ant.types.Path cp)` Set the classpath to be used to find this compiler adapter
`void` | `setCompilerClasspathRef(org.apache.tools.ant.types.Reference r)` Adds a reference to a classpath defined elsewhere
`void` | `setFailonerror(boolean fail)` Whether or not the build should halt if compilation fails.
`void` | `setInstrumentor(String instrumentor)`
`void` | `setMaxmemory(String maxmemory)` Set the maxmemory of the Java task forked to apply the AOP
`void` | `setMaxSrc(int maxSrc)`
`void` | `setOptimized(boolean optimized)`
`void` | `setReport(boolean i)`
`void` | `setSuppress(boolean i)` Set the verbose level of the compiler
`void` | `setVerbose(boolean i)` Set the verbose level of the compiler

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### failOnError

    protected boolean failOnError

  flag to control action on execution trouble

Constructor Detail

### AopC

    public AopC()

Method Detail

### setVerbose

    public void setVerbose(boolean i)

  Set the verbose level of the compiler

### getVerbose

    public boolean getVerbose()

### getInstrumentor

    public String getInstrumentor()

### setInstrumentor

    public void setInstrumentor(String instrumentor)

### setSuppress

    public void setSuppress(boolean i)

  Set the verbose level of the compiler

### getSupress

    public boolean getSupress()

### setReport

    public void setReport(boolean i)

### getReport

    public boolean getReport()

### setOptimized

    public void setOptimized(boolean optimized)

### getOptimized

    public boolean getOptimized()

### setMaxmemory

    public void setMaxmemory(String maxmemory)

  Set the maxmemory of the Java task forked to apply the AOP

### getMaxmemory

    public String getMaxmemory()

### setFailonerror

    public void setFailonerror(boolean fail)

  Whether or not the build should halt if compilation fails. Defaults to `true`.

### getFailonerror

    public boolean getFailonerror()

  Gets the failonerror flag.

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path cp)

  Set the classpath to be used for this compilation.

### setMaxSrc

    public void setMaxSrc(int maxSrc)

### getMaxSrc

    public int getMaxSrc()

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

  Adds a path to the classpath.

### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference r)

  Adds a reference to a classpath defined elsewhere

### getClasspath

    public org.apache.tools.ant.types.Path getClasspath()

### setCompilerClasspathRef

    public void setCompilerClasspathRef(org.apache.tools.ant.types.Reference r)

  Adds a reference to a classpath defined elsewhere

### setCompilerclasspath

    public void setCompilerclasspath(org.apache.tools.ant.types.Path cp)

  Set the classpath to be used to find this compiler adapter

### getCompilerclasspath

    public org.apache.tools.ant.types.Path getCompilerclasspath()

  get the classpath used to find the compiler adapter

### createCompilerclasspath

    public org.apache.tools.ant.types.Path createCompilerclasspath()

  Support nested compiler classpath, used to locate compiler adapter

### createSrc

    public org.apache.tools.ant.types.Path createSrc()

  Adds a path for source compilation.

  Returns:
    a nested src element.

### createAoppath

    public org.apache.tools.ant.types.Path createAoppath()

### createAopclasspath

    public org.apache.tools.ant.types.Path createAopclasspath()

### addSysproperty

    public void addSysproperty(org.apache.tools.ant.types.Environment.Variable property)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### logAndAddFilesToCompile

    protected void logAndAddFilesToCompile(org.apache.tools.ant.types.CommandlineJava cmd)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.